This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278972 - rdo-manager liberty delorean dib failing w/ "No module named passlib.utils" [NEEDINFO]
rdo-manager liberty delorean dib failing w/ "No module named passlib.utils"
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: rdo-manager-cli (Show other bugs)
Liberty
Unspecified Unspecified
medium Severity medium
: ---
: Liberty
Assigned To: Ana Krivokapic
Shai Revivo
: Automation, AutomationBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 16:57 EST by wes hayutin
Modified: 2017-06-18 02:35 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-18 02:35:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chris.brown: needinfo? (whayutin)


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2015-11-06 16:57:05 EST
Description of problem:

source /home/stack/build-img-env; openstack overcloud image build --all 

Exception raised: No module named passlib.utils


CONFIG:
export USE_DELOREAN_TRUNK=1
export DELOREAN_TRUNK_REPO="http://trunk.rdoproject.org/liberty/centos7//93/fe/93fe6f09791509aa5b691af41d7d867443b4db00_87e961c3/"
export DELOREAN_REPO_FILE="delorean.repo"
export DIB_LOCAL_IMAGE=CentOS-7-x86_64-GenericCloud-GA-7.0.1406_01.qcow2
export NODE_DIST=centos7
Comment 1 John Trowbridge 2015-11-08 12:52:54 EST
We are actually hitting this because we switched to building the images before installing the undercloud. The python-passlib rpm gets installed when installing the undercloud. This is a bug in the packaging for python-tripleoclient. Oddly, it has actually been fixed in the packaging repo [1], but I checked the latest srpm in delorean and that change never got built. We probably need to merge something to stable/liberty for tripleoclient, or alternatively we might be able to force it to build in delorean itself.

[1] https://github.com/openstack-packages/python-tripleoclient/commit/88eee04ffbd131fb74470603aff40cd0696f9ca4
Comment 2 Alan Pevec 2016-02-10 13:07:25 EST
What is rdo-manager-cli, is that actually python-tripleoclient ?
Comment 3 John Trowbridge 2016-02-10 13:40:36 EST
ya it is python-tripleoclient, and there is no component for python-tripleoclient.
Comment 4 John Trowbridge 2016-02-10 13:43:23 EST
ugh... did not mean to reset the assignee, but in any case I would prefer not to maintain all of tripleo in CBS until we have a workflow more conducive to managing such a large number of packages.

our delorean workflow for example is very easy to maintain 30 packages, and I am hoping the rpmfactory workflow will bring this to CBS builds as well.
Comment 5 Mike McCune 2016-03-28 18:14:36 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 7 Christopher Brown 2017-06-17 12:48:00 EDT
This version is no longer supported so recommend updating version or closing, thanks.

Note You need to log in before you can comment on or make changes to this bug.